import { useLocale } from "next-intl";

interface ProductFeaturesProps {
	features: Record<string, any>;
}

const ProductFeatures = ({ features }: ProductFeaturesProps) => {
	const locale = useLocale();

	return (
		<div className="grid gap-2">
			{Object.entries(features || {}).map(([key, feature]: [string, any]) => (
				<div
					key={key}
					className="flex items-start justify-between gap-8"
				>
					<p className="min-w-28 text-sm text-custom-dark-light">
						{locale === "ar" ? feature?.title?.ar : feature?.title?.en}
					</p>
					<p className="flex-1 text-sm text-custom-dark">
						{locale === "ar" ? feature?.description?.ar : feature?.description?.en}
					</p>
				</div>
			))}
		</div>
	);
};

export default ProductFeatures; 